Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::CoreListener Class Reference
Inheritance diagram for linphone::CoreListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onGlobalStateChanged (const std::shared_ptr< linphone::Core > &core, linphone::GlobalState state, const std::string &message)
| Global state notification callback.
virtual LINPHONECXX_PUBLIC void | onRegistrationStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ProxyConfig > &proxyConfig, linphone::RegistrationState state, const std::string &message)
| Registration state notification callback prototype.
virtual LINPHONECXX_PUBLIC void | onConferenceInfoReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< const linphone::ConferenceInfo > &conferenceInfo)
| Callback prototype for notifying the application about a received conference info.
virtual LINPHONECXX_PUBLIC void | onPushNotificationReceived (const std::shared_ptr< linphone::Core > &core, const std::string &payload)
| Callback prototype for notifying the application a push notification was received.
virtual LINPHONECXX_PUBLIC void | onPreviewDisplayErrorOccurred (const std::shared_ptr< linphone::Core > &core, int errorCode)
| Callback to notify that there are errors from the video rendering.
virtual LINPHONECXX_PUBLIC void | onCallStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, linphone::Call::State state, const std::string &message)
| Call state notification callback.
virtual LINPHONECXX_PUBLIC void | onNotifyPresenceReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Report status change for a friend previously added to the LinphoneCore with linphone_core_add_friend().
virtual LINPHONECXX_PUBLIC void | onNotifyPresenceReceivedForUriOrTel (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Friend > &linphoneFriend, const std::string &uriOrTel, const std::shared_ptr< const linphone::PresenceModel > &presenceModel)
| Reports presence model change for a specific URI or phone number of a friend.
virtual LINPHONECXX_PUBLIC void | onNewSubscriptionRequested (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Friend > &linphoneFriend, const std::string &url)
| Reports that a new subscription request has been received and wait for a decision.
virtual LINPHONECXX_PUBLIC void | onAuthenticationRequested (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::AuthInfo > &authInfo, linphone::AuthMethod method)
| Callback for requesting authentication information to application or user.
virtual LINPHONECXX_PUBLIC void | onCallLogUpdated (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::CallLog > &callLog)
| Callback to notify a new call-log entry has been added.
virtual LINPHONECXX_PUBLIC void | onCallIdUpdated (const std::shared_ptr< linphone::Core > &core, const std::string &previousCallId, const std::string &currentCallId)
| Callback to notify the callid of a call has been updated.
virtual LINPHONECXX_PUBLIC void | onMessageReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message)
| Chat message callback prototype.
virtual LINPHONECXX_PUBLIC void | onMessagesReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::list< std::shared_ptr< linphone::ChatMessage > > &messages)
| Chat messages callback prototype.
virtual LINPHONECXX_PUBLIC void | onMessageSent (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message)
| Called after the #send method of the LinphoneChatMessage was called.
virtual LINPHONECXX_PUBLIC void | onChatRoomSessionStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom, linphone::Call::State state, const std::string &message)
| Chat room session state changed callback.
virtual LINPHONECXX_PUBLIC void | onChatRoomRead (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom)
| Chat room marked as read callback.
virtual LINPHONECXX_PUBLIC void | onMessageReceivedUnableDecrypt (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message)
| Chat message not decrypted callback prototype.
virtual LINPHONECXX_PUBLIC void | onIsComposingReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom)
| Is composing notification callback prototype.
virtual LINPHONECXX_PUBLIC void | onDtmfReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, int dtmf)
| Callback for being notified of DTMFs received.
virtual LINPHONECXX_PUBLIC void | onReferReceived (const std::shared_ptr< linphone::Core > &core, const std::string &referTo)
| Callback prototype for when a refer is received.
virtual LINPHONECXX_PUBLIC void | onCallGoclearAckSent (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call)
| GoClear ACK sent on call callback.
virtual LINPHONECXX_PUBLIC void | onCallEncryptionChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, bool mediaEncryptionEnabled, const std::string &authenticationToken)
| Call encryption changed callback.
virtual LINPHONECXX_PUBLIC void | onCallSendMasterKeyChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, const std::string &masterKey)
| Call send master key changed callback.
virtual LINPHONECXX_PUBLIC void | onCallReceiveMasterKeyChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, const std::string &masterKey)
| Call receive master key changed callback.
virtual LINPHONECXX_PUBLIC void | onTransferStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &transfered, linphone::Call::State callState)
| Callback for notifying progresses of transfers.
virtual LINPHONECXX_PUBLIC void | onBuddyInfoUpdated (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Callback prototype when using the buddy plugin.
virtual LINPHONECXX_PUBLIC void | onCallStatsUpdated (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< const linphone::CallStats > &callStats)
| Callback for receiving quality statistics for calls.
virtual LINPHONECXX_PUBLIC void | onInfoReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< const linphone::InfoMessage > &message)
| Callback prototype for receiving info messages.
virtual LINPHONECXX_PUBLIC void | onSubscriptionStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Event > &linphoneEvent, linphone::SubscriptionState state)
| Callback prototype for notifying the application about changes of subscription states, including arrival of new subscriptions.
virtual LINPHONECXX_PUBLIC void | onNotifySent (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Event > &linphoneEvent, const std::shared_ptr< const linphone::Content > &body)
| Callback prototype for notifying the application about notification that is being sent.
virtual LINPHONECXX_PUBLIC void | onNotifyReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Event > &linphoneEvent, const std::string &notifiedEvent, const std::shared_ptr< const linphone::Content > &body)
| Callback prototype for notifying the application about notification received from the network.
virtual LINPHONECXX_PUBLIC void | onSubscribeReceived (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Event > &linphoneEvent, const std::string &subscribeEvent, const std::shared_ptr< const linphone::Content > &body)
| Callback prototype for notifying the application about subscription received from the network.
virtual LINPHONECXX_PUBLIC void | onPublishStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Event > &linphoneEvent, linphone::PublishState state)
| Callback prototype for notifying the application about changes of publish states.
virtual LINPHONECXX_PUBLIC void | onConfiguringStatus (const std::shared_ptr< linphone::Core > &core, linphone::ConfiguringState status, const std::string &message)
| Callback prototype for configuring status changes notification.
virtual LINPHONECXX_PUBLIC void | onNetworkReachable (const std::shared_ptr< linphone::Core > &core, bool reachable)
| Callback prototype for reporting network change either automatically detected or notified by linphone_core_set_network_reachable.
virtual LINPHONECXX_PUBLIC void | onLogCollectionUploadStateChanged (const std::shared_ptr< linphone::Core > &core, linphone::Core::LogCollectionUploadState state, const std::string &info)
| Callback prototype for reporting log collection upload state change.
virtual LINPHONECXX_PUBLIC void | onLogCollectionUploadProgressIndication (const std::shared_ptr< linphone::Core > &core, size_t offset, size_t total)
| Callback prototype for reporting log collection upload progress indication.
virtual LINPHONECXX_PUBLIC void | onFriendListCreated (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::FriendList > &friendList)
| Callback prototype for reporting when a friend list has been added to the core friend lists.
virtual LINPHONECXX_PUBLIC void | onFriendListRemoved (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::FriendList > &friendList)
| Callback prototype for reporting when a friend list has been removed from the core friend lists.
virtual LINPHONECXX_PUBLIC void | onCallCreated (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Call > &call)
| Callback notifying that a new LinphoneCall (either incoming or outgoing) has been created.
virtual LINPHONECXX_PUBLIC void | onVersionUpdateCheckResultReceived (const std::shared_ptr< linphone::Core > &core, linphone::VersionUpdateCheckResult result, const std::string &version, const std::string &url)
| Callback prototype for reporting the result of a version update check.
virtual LINPHONECXX_PUBLIC void | onConferenceStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Conference > &conference, linphone::Conference::State state)
| Callback prototype telling that a LinphoneConference state has changed.
virtual LINPHONECXX_PUBLIC void | onChatRoomStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom, linphone::ChatRoom::State state)
| Callback prototype telling that a LinphoneChatRoom state has changed.
virtual LINPHONECXX_PUBLIC void | onChatRoomSubjectChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom)
| Callback prototype telling that a LinphoneChatRoom subject has changed.
virtual LINPHONECXX_PUBLIC void | onChatRoomEphemeralMessageDeleted (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::ChatRoom > &chatRoom)
| Callback prototype telling that a LinphoneChatRoom ephemeral message has expired.
virtual LINPHONECXX_PUBLIC void | onImeeUserRegistration (const std::shared_ptr< linphone::Core > &core, const bool status, const std::string &userId, const std::string &info)
| Callback prototype telling that an Instant Message Encryption Engine user registered on the server with or without success.
virtual LINPHONECXX_PUBLIC void | onQrcodeFound (const std::shared_ptr< linphone::Core > &core, const std::string &result)
| Callback prototype telling the result of decoded qrcode.
virtual LINPHONECXX_PUBLIC void | onFirstCallStarted (const std::shared_ptr< linphone::Core > &core)
| Callback prototype telling a call has started (incoming or outgoing) while there was no other call.
virtual LINPHONECXX_PUBLIC void | onLastCallEnded (const std::shared_ptr< linphone::Core > &core)
| Callback prototype telling the last call has ended (#LinphoneCore.get_calls_nb() returns 0)
virtual LINPHONECXX_PUBLIC void | onAudioDeviceChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::AudioDevice > &audioDevice)
| Callback prototype telling that the audio device for at least one call has changed.
virtual LINPHONECXX_PUBLIC void | onAudioDevicesListUpdated (const std::shared_ptr< linphone::Core > &core)
| Callback prototype telling the audio devices list has been updated.
virtual LINPHONECXX_PUBLIC void | onEcCalibrationResult (const std::shared_ptr< linphone::Core > &core, linphone::EcCalibratorStatus status, int delayMs)
| Function prototype used by #linphone_core_cbs_set_ec_calibrator_result().
virtual LINPHONECXX_PUBLIC void | onEcCalibrationAudioInit (const std::shared_ptr< linphone::Core > &core)
| Function prototype used by #linphone_core_cbs_set_ec_calibrator_audio_init().
virtual LINPHONECXX_PUBLIC void | onEcCalibrationAudioUninit (const std::shared_ptr< linphone::Core > &core)
| Function prototype used by #linphone_core_cbs_set_ec_calibrator_audio_uninit().
virtual LINPHONECXX_PUBLIC void | onAccountRegistrationStateChanged (const std::shared_ptr< linphone::Core > &core, const std::shared_ptr< linphone::Account > &account, linphone::RegistrationState state, const std::string &message)
| Callback notifying that a LinphoneAccount has its registration state changed.

## Member Function Documentation

## ◆ onAccountRegistrationStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onAccountRegistrationStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Account > & | account,
|  | linphone::RegistrationState | state,
|  | const std::string & | message )
| inline virtual

Callback notifying that a LinphoneAccount has its registration state changed.

Parameters

  message | a non nullptr informational message about the state

## ◆ onAudioDeviceChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onAudioDeviceChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::AudioDevice > & | audioDevice )
| inline virtual

Callback prototype telling that the audio device for at least one call has changed.

Parameters

  audioDevice | the newly used LinphoneAudioDevice object

## ◆ onAudioDevicesListUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onAudioDevicesListUpdated | ( | const std::shared_ptr< linphone::Core > & | core | ) |
| inline virtual

Callback prototype telling the audio devices list has been updated.

Either a new device is available or a previously available device isn't anymore. You can call linphone_core_get_audio_devices to get the new list.

Parameters

  core | LinphoneCore object

## ◆ onAuthenticationRequested()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onAuthenticationRequested | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::AuthInfo > & | authInfo,
|  | linphone::AuthMethod | method )
| inline virtual

Callback for requesting authentication information to application or user.

Parameters

  method | the type of authentication requested as LinphoneAuthMethod enum Application shall reply to this callback using linphone_core_add_auth_info.

## ◆ onBuddyInfoUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onBuddyInfoUpdated | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend )
| inline virtual

Callback prototype when using the buddy plugin.

Parameters

  linphoneFriend | the LinphoneFriend that has been updated

## ◆ onCallCreated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallCreated | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call )
| inline virtual

Callback notifying that a new LinphoneCall (either incoming or outgoing) has been created.

Parameters

  call | The newly created LinphoneCall object

## ◆ onCallEncryptionChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallEncryptionChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | bool | mediaEncryptionEnabled,
|  | const std::string & | authenticationToken )
| inline virtual

Call encryption changed callback.

Parameters

  authenticationToken | an authentication_token, currently set for ZRTP kind of encryption only.

## ◆ onCallGoclearAckSent()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallGoclearAckSent | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call )
| inline virtual

GoClear ACK sent on call callback.

Parameters

  call | the LinphoneCall on which the GoClear ACK was sent.

## ◆ onCallIdUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallIdUpdated | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::string & | previousCallId,
|  | const std::string & | currentCallId )
| inline virtual

Callback to notify the callid of a call has been updated.

This is done typically when a call retry.

Parameters

  currentCallId | the new callid.

## ◆ onCallLogUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallLogUpdated | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::CallLog > & | callLog )
| inline virtual

Callback to notify a new call-log entry has been added.

This is done typically when a call terminates.

Parameters

  callLog | the new LinphoneCallLog entry added.

## ◆ onCallReceiveMasterKeyChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallReceiveMasterKeyChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | masterKey )
| inline virtual

Call receive master key changed callback.

Parameters

  masterKey | new master key.

## ◆ onCallSendMasterKeyChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallSendMasterKeyChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | masterKey )
| inline virtual

Call send master key changed callback.

Parameters

  masterKey | new master key.

## ◆ onCallStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | linphone::Call::State | state,
|  | const std::string & | message )
| inline virtual

Call state notification callback.

Parameters

  message | a non nullptr informational message about the state.

## ◆ onCallStatsUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onCallStatsUpdated | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< const linphone::CallStats > & | callStats )
| inline virtual

Callback for receiving quality statistics for calls.

Parameters

  callStats | the call statistics.

## ◆ onChatRoomEphemeralMessageDeleted()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onChatRoomEphemeralMessageDeleted | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom )
| inline virtual

Callback prototype telling that a LinphoneChatRoom ephemeral message has expired.

Parameters

  chatRoom | The LinphoneChatRoom object for which a message has expired.

## ◆ onChatRoomRead()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onChatRoomRead | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom )
| inline virtual

Chat room marked as read callback.

Parameters

  chatRoom | LinphoneChatRoom that has been marked as read.

## ◆ onChatRoomSessionStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onChatRoomSessionStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | linphone::Call::State | state,
|  | const std::string & | message )
| inline virtual

Chat room session state changed callback.

Parameters

  message | a non nullptr informational message about the state.

## ◆ onChatRoomStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onChatRoomStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | linphone::ChatRoom::State | state )
| inline virtual

Callback prototype telling that a LinphoneChatRoom state has changed.

Parameters

  state | the current LinphoneChatRoomState

## ◆ onChatRoomSubjectChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onChatRoomSubjectChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom )
| inline virtual

Callback prototype telling that a LinphoneChatRoom subject has changed.

Parameters

  chatRoom | The LinphoneChatRoom object for which the subject has changed

## ◆ onConferenceInfoReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onConferenceInfoReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< const linphone::ConferenceInfo > & | conferenceInfo )
| inline virtual

Callback prototype for notifying the application about a received conference info.

Parameters

  conferenceInfo | the LinphoneConferenceInfo received

## ◆ onConferenceStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onConferenceStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Conference > & | conference,
|  | linphone::Conference::State | state )
| inline virtual

Callback prototype telling that a LinphoneConference state has changed.

Parameters

  state | the current LinphoneChatRoomState

## ◆ onConfiguringStatus()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onConfiguringStatus | ( | const std::shared_ptr< linphone::Core > & | core,
|  | linphone::ConfiguringState | status,
|  | const std::string & | message )
| inline virtual

Callback prototype for configuring status changes notification.

Parameters

  message | informational message.

## ◆ onDtmfReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onDtmfReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | int | dtmf )
| inline virtual

Callback for being notified of DTMFs received.

Parameters

  dtmf | the ascii code of the dtmf

## ◆ onEcCalibrationAudioInit()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onEcCalibrationAudioInit | ( | const std::shared_ptr< linphone::Core > & | core | ) |
| inline virtual

Function prototype used by #linphone_core_cbs_set_ec_calibrator_audio_init().

Parameters

  core | The LinphoneCore.

## ◆ onEcCalibrationAudioUninit()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onEcCalibrationAudioUninit | ( | const std::shared_ptr< linphone::Core > & | core | ) |
| inline virtual

Function prototype used by #linphone_core_cbs_set_ec_calibrator_audio_uninit().

Parameters

  core | The LinphoneCore.

## ◆ onEcCalibrationResult()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onEcCalibrationResult | ( | const std::shared_ptr< linphone::Core > & | core,
|  | linphone::EcCalibratorStatus | status,
|  | int | delayMs )
| inline virtual

Function prototype used by #linphone_core_cbs_set_ec_calibrator_result().

Parameters

  delayMs | The measured delay if available.

## ◆ onFirstCallStarted()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onFirstCallStarted | ( | const std::shared_ptr< linphone::Core > & | core | ) |
| inline virtual

Callback prototype telling a call has started (incoming or outgoing) while there was no other call.

Parameters

  core | LinphoneCore object

## ◆ onFriendListCreated()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onFriendListCreated | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::FriendList > & | friendList )
| inline virtual

Callback prototype for reporting when a friend list has been added to the core friend lists.

Parameters

  friendList | LinphoneFriendList object

## ◆ onFriendListRemoved()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onFriendListRemoved | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::FriendList > & | friendList )
| inline virtual

Callback prototype for reporting when a friend list has been removed from the core friend lists.

Parameters

  friendList | LinphoneFriendList object

## ◆ onGlobalStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onGlobalStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | linphone::GlobalState | state,
|  | const std::string & | message )
| inline virtual

Global state notification callback.

Parameters

  message | informational message.

## ◆ onImeeUserRegistration()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onImeeUserRegistration | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const bool | status,
|  | const std::string & | userId,
|  | const std::string & | info )
| inline virtual

Callback prototype telling that an Instant Message Encryption Engine user registered on the server with or without success.

Parameters

  info | information about failure

## ◆ onInfoReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onInfoReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< const linphone::InfoMessage > & | message )
| inline virtual

Callback prototype for receiving info messages.

Parameters

  message | the info message.

## ◆ onIsComposingReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onIsComposingReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom )
| inline virtual

Is composing notification callback prototype.

Parameters

  chatRoom | LinphoneChatRoom involved in the conversation.

## ◆ onLastCallEnded()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onLastCallEnded | ( | const std::shared_ptr< linphone::Core > & | core | ) |
| inline virtual

Callback prototype telling the last call has ended (#LinphoneCore.get_calls_nb() returns 0)

Parameters

  core | LinphoneCore object

## ◆ onLogCollectionUploadProgressIndication()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onLogCollectionUploadProgressIndication | ( | const std::shared_ptr< linphone::Core > & | core,
|  | size_t | offset,
|  | size_t | total )
| inline virtual

Callback prototype for reporting log collection upload progress indication.

Parameters

  total | the total number of bytes to upload

## ◆ onLogCollectionUploadStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onLogCollectionUploadStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | linphone::Core::LogCollectionUploadState | state,
|  | const std::string & | info )
| inline virtual

Callback prototype for reporting log collection upload state change.

Parameters

  info | Additional information: error message in case of error state, URL of uploaded file in case of success.

## ◆ onMessageReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onMessageReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message )
| inline virtual

Chat message callback prototype.

Parameters

  message | LinphoneChatMessage incoming message

## ◆ onMessageReceivedUnableDecrypt()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onMessageReceivedUnableDecrypt | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message )
| inline virtual

Chat message not decrypted callback prototype.

Parameters

  message | LinphoneChatMessage incoming message

## ◆ onMessageSent()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onMessageSent | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message )
| inline virtual

Called after the #send method of the LinphoneChatMessage was called.

The message will be in state InProgress. In case of resend this callback won't be called.

Parameters

  message | LinphoneChatMessage outgoing message

## ◆ onMessagesReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onMessagesReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::list< std::shared_ptr< linphone::ChatMessage > > & | messages )
| inline virtual

Chat messages callback prototype.

Only called when aggregation is enabled (aka [sip] chat_messages_aggregation == 1 or using linphone_core_set_chat_messages_aggregation_enabled), it replaces the single message received callback.

Parameters

  messages | The of incoming messages

## ◆ onNetworkReachable()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onNetworkReachable | ( | const std::shared_ptr< linphone::Core > & | core,
|  | bool | reachable )
| inline virtual

Callback prototype for reporting network change either automatically detected or notified by linphone_core_set_network_reachable.

Parameters

  reachable | true if network is reachable.

## ◆ onNewSubscriptionRequested()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onNewSubscriptionRequested | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend,
|  | const std::string & | url )
| inline virtual

Reports that a new subscription request has been received and wait for a decision.

Note
  A subscription request is notified by this function only if the LinphoneSubscribePolicy for the given LinphoneFriend has been set to LinphoneSPWait. See linphone_friend_set_inc_subscribe_policy.

Parameters

  url | URI of the subscriber

## ◆ onNotifyPresenceReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onNotifyPresenceReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend )
| inline virtual

Report status change for a friend previously added to the LinphoneCore with linphone_core_add_friend().

Parameters

  linphoneFriend | Updated LinphoneFriend

## ◆ onNotifyPresenceReceivedForUriOrTel()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onNotifyPresenceReceivedForUriOrTel | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend,
|  | const std::string & | uriOrTel,
|  | const std::shared_ptr< const linphone::PresenceModel > & | presenceModel )
| inline virtual

Reports presence model change for a specific URI or phone number of a friend.

Parameters

  presenceModel | The new LinphonePresenceModel

## ◆ onNotifyReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onNotifyReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Event > & | linphoneEvent,
|  | const std::string & | notifiedEvent,
|  | const std::shared_ptr< const linphone::Content > & | body )
| inline virtual

Callback prototype for notifying the application about notification received from the network.

Parameters

  body | the LinphoneContent of the event

## ◆ onNotifySent()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onNotifySent | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Event > & | linphoneEvent,
|  | const std::shared_ptr< const linphone::Content > & | body )
| inline virtual

Callback prototype for notifying the application about notification that is being sent.

Parameters

  body | the LinphoneContent of the event

## ◆ onPreviewDisplayErrorOccurred()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onPreviewDisplayErrorOccurred | ( | const std::shared_ptr< linphone::Core > & | core,
|  | int | errorCode )
| inline virtual

Callback to notify that there are errors from the video rendering.

Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.

Parameters

  errorCode | The error code. It depends of the display filter (available for OpenGL)

## ◆ onPublishStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onPublishStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Event > & | linphoneEvent,
|  | linphone::PublishState | state )
| inline virtual

Callback prototype for notifying the application about changes of publish states.

Parameters

  state | the new LinphonePublishState

## ◆ onPushNotificationReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onPushNotificationReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::string & | payload )
| inline virtual

Callback prototype for notifying the application a push notification was received.

On iOS it only works with pushkit (VoIP) pushes.

Parameters

  payload | the body of the push notification, if any

## ◆ onQrcodeFound()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onQrcodeFound | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::string & | result )
| inline virtual

Callback prototype telling the result of decoded qrcode.

Parameters

  result | The result of the decoded qrcode

## ◆ onReferReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onReferReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::string & | referTo )
| inline virtual

Callback prototype for when a refer is received.

Parameters

  referTo | the address of the refer

## ◆ onRegistrationStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onRegistrationStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::ProxyConfig > & | proxyConfig,
|  | linphone::RegistrationState | state,
|  | const std::string & | message )
| inline virtual

Registration state notification callback prototype.

Parameters

  message | a non nullptr informational message about the state

Deprecated
  06/04/2020 Use LinphoneCoreCbsAccountRegistrationStateChangedCb instead

## ◆ onSubscribeReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onSubscribeReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Event > & | linphoneEvent,
|  | const std::string & | subscribeEvent,
|  | const std::shared_ptr< const linphone::Content > & | body )
| inline virtual

Callback prototype for notifying the application about subscription received from the network.

Parameters

  body | the LinphoneContent of the event

## ◆ onSubscriptionStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onSubscriptionStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Event > & | linphoneEvent,
|  | linphone::SubscriptionState | state )
| inline virtual

Callback prototype for notifying the application about changes of subscription states, including arrival of new subscriptions.

Parameters

  state | the new LinphoneSubscriptionState

## ◆ onTransferStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onTransferStateChanged | ( | const std::shared_ptr< linphone::Core > & | core,
|  | const std::shared_ptr< linphone::Call > & | transfered,
|  | linphone::Call::State | callState )
| inline virtual

Callback for notifying progresses of transfers.

Parameters

  callState | the LinphoneCallState of the call to transfer target at the far end.

## ◆ onVersionUpdateCheckResultReceived()

virtual LINPHONECXX_PUBLIC void linphone::CoreListener::onVersionUpdateCheckResultReceived | ( | const std::shared_ptr< linphone::Core > & | core,
|  | linphone::VersionUpdateCheckResult | result,
|  | const std::string & | version,
|  | const std::string & | url )
| inline virtual

Callback prototype for reporting the result of a version update check.

Parameters

  url | The url where to download the new version if the result is LinphoneVersionUpdateCheckNewVersionAvailable

The documentation for this class was generated from the following file:

- core_listener.hh